Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

I'm not really sure, but I suspect it's because you are using Loki and the game engine I'm using is supporting Ubuntu 12.04+